summaryrefslogtreecommitdiff
path: root/keyboards/satan/keymaps/iso_split_rshift/build.sh
diff options
context:
space:
mode:
authorToni2016-07-17 14:57:56 +0200
committerToni2016-07-17 14:57:56 +0200
commitde96513ff2f12e56a572b6f54db548725194c10b (patch)
tree7add980443fe4cb2b24cdfacbfc90c7c2548c271 /keyboards/satan/keymaps/iso_split_rshift/build.sh
parent9ecf9073b96799e52a1f1c0d35b57177382902ce (diff)
changes needed for a ISO satan PCB including a split right-shift key
Diffstat (limited to 'keyboards/satan/keymaps/iso_split_rshift/build.sh')
-rwxr-xr-xkeyboards/satan/keymaps/iso_split_rshift/build.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/keyboards/satan/keymaps/iso_split_rshift/build.sh b/keyboards/satan/keymaps/iso_split_rshift/build.sh
new file mode 100755
index 000000000..2bfc3bb32
--- /dev/null
+++ b/keyboards/satan/keymaps/iso_split_rshift/build.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# adjust for cpu
+# -j 16 gave best result on a hyperthreaded quad core core i7
+THREADS="-j 16"
+echo "We need sudo later"
+sudo ls 2>&1 /dev/null
+make clean
+make KEYMAP=toni77 ${THREADS}
+if [[ $? -eq 0 ]]
+then
+ echo "please trigger flashing! you have 5 seconds"
+ sleep 5
+ sudo make KEYMAP=toni77 dfu ${THREADS}
+else
+ echo "make failed"
+ exit 77
+fi